Bug 20724 - CVE-2009-2446 MySQL COM_CREATE_DB format string vulnerability
: CVE-2009-2446 MySQL COM_CREATE_DB format string vulnerability
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MySQL-server)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://securityvulns.com/Wdocument141...
: security
:
:
  Show dependency tree
 
Reported: 2009-07-09 14:00 by
Modified: 2010-01-27 01:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-07-09 14:00:50
В MySQL обнаружена ошибка форматной строки. Существует эксплойт, позволяющий
вызвать крах сервера. Для успешного использования уязвимости требуются:
* авторизованный доступ
* наличие прав на создание баз
* на сервере должно включено ведение логов

В сборке MySQL-server-5.0.83-alt2 отключено ведение логов, т.о. ошибка не
проявляется в конфигурации по-умолчанию. Но при включении ведения логов в MySQL
эксплойт отрабатывает успешно.
------- Comment #1 From 2010-01-27 01:35:19 -------
MySQL-5.0.89-alt1 -> sisyphus:

* Mon Jan 25 2010 Anton Farygin <rider@altlinux> 5.0.89-alt1

- new version (closes #18943)
- fixed CVE-2009-2446 from upstream (closes #20724)
- setup utf8 encoding instead of latin1 by default (closes #12390)
- include C99 aliasing violation patch from mythtv (closes #22452)
- removed username-length patch
- wait for mysqld shutdown (closes #22234)
- don't run initial setup mysql database if mysql.user table already exists